package edu.odu.cs.codeAnnotation;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

public class TestListing2TeX {
    


    @Test
    public void testDots() throws Exception {
    	assertEquals("\\lstln{}abc\\smvdots{}def\n", Listing2TeX.test("abc/*...*/def"));
    	assertEquals("\\lstln{}abc\\smvdots{}def\n", Listing2TeX.test("abc//...def"));
    }

    @Test
    public void testCallOuts() throws Exception {
    	assertEquals("\\lstln{}abc\\conum{1}def\n", Listing2TeX.test("abc/*co1*/def"));
    	assertEquals("\\lstln{}abc\\conum{2}def\n", Listing2TeX.test("abc/**co2*/def"));
    	assertEquals("\\lstln{}abc\\conum{3}def\n", Listing2TeX.test("abc/*co3*/def"));
    	assertEquals("\\lstln{}abc\\conum{9}def\n", Listing2TeX.test("abc/*co9*/def"));
    }

    @Test
    public void singleLineHighlight() throws Exception {
    	assertEquals("\\lstln{}abc\\hli{def}ghi\n", Listing2TeX.test("abc/*+*/def/*-*/ghi"));
    	assertEquals("\\lstln{}abc\\hli{def}ghi\n", Listing2TeX.test("abc/*+1*/def/*-1*/ghi"));
    	assertEquals("\\lstln{}abc\\hlii{def}ghi\n", Listing2TeX.test("abc/*+2*/def/*-2*/ghi"));
    	assertEquals("\\lstln{}abc\\hliii{def}ghi\n", Listing2TeX.test("abc/*+3*/def/*-3*/ghi"));
    }

    @Test
    public void multiLineHighlight() throws Exception {
    	assertEquals("\\lstln{}abc\\hli{d}\n\\lstln{}\\hli{ef}ghi\n", Listing2TeX.test("abc/*+*/d\nef/*-*/ghi"));
    	assertEquals("\\lstln{}abc\\hli{d}\n\\lstln{}\\hli{e}\n\\lstln{}\\hli{f}ghi\n", Listing2TeX.test("abc/*+1*/d\ne\nf/*-1*/ghi"));
    	assertEquals("\\lstln{}abc\\hlii{def}\n\\lstln{}\\hlii{}ghi\n", Listing2TeX.test("abc/*+2*/def\n/*-2*/ghi"));
    	assertEquals("\\lstln{}abc\\hliii{}\n\\lstln{}\\hliii{def}ghi\n", Listing2TeX.test("abc/*+3*/\ndef/*-3*/ghi"));
    }

    
}
